Esta vulnerabilidad afectaría a casi todas las plataformas de servicios web actuales y podría permitir  ataques de denegación de servicio.

La vulnerabilidad, fue presentada en el congreso Chaos Communication Congress, organizado por el Chaos Computer Club, afecta a tecnologías de desarrollo web como, PHP, ASP.NET, Java, Python, Ruby, Apache Tomcat, Apache Geronimo, Jetty o  Glassfish.

Versiones afectadas:
  • Quedan excluidos de la vulnerabilidad los lenguajes Perl y CRuby 1.9.
Recomendaciones:
  • Los principales lenguajes ya han publicado actualizaciones y parches que corrigen esta vulnerabilidad, que pueden ser descargadas desde la página oficial de cada uno de ellos.
Más información:

#2011-003 multiple implementations denial-of-service via hash algorithm collision
Efficient Denial of ServiceAttacks on Web ApplicationPlatforms
Microsoft Security Bulletin MS11-100 – Critical
Vulnerabilities in .NET Framework Could Allow Elevation of Privilege (2638420)
[SECURITY] Apache Tomcat and the hashtable collision DoS vulnerability
Denial of Service through hash tablemulti-collisions
Denial of Service via Algorithmic Complexity Attacks
CCC Event blog – 28C3
Fuente: Hispsec